Home / IOS Development / ios – Libraries stopped working after Xcode was updated. React Native 0.62.2

ios – Libraries stopped working after Xcode was updated. React Native 0.62.2



I was having trouble updating Mac data. After updating to a specific Mac version, Spotlight stopped working when I used the emulator. It was fixed after a while. However, after I updated XCode, some libraries in my app that used to work, even pictures, joined as shown in the picture below.
Error description
(There should be a calendar component like this, there are style issues as well.)

I have been looking for some ways to solve this problem. I have tried this method as shown in this answer. This resolved the image that was not displayed, but the other libraries have the same issues and I can not resolve them. I do not know what I could post here in addition to the package.json dependencies:


  "dependencies": {
    "@react-native-community/async-storage": "^1.11.0",
    "@react-native-community/datetimepicker": "^2.4.2",
    "@react-native-community/masked-view": "^0.1.10",
    "@react-native-community/picker": "^1.6.1",
    "@react-native-firebase/app": "^7.3.0",
    "@react-native-firebase/auth": "^8.0.7",
    "@react-native-firebase/database": "^7.2.4",
    "@react-native-firebase/firestore": "^7.2.1",
    "@react-native-firebase/storage": "^7.1.5",
    "@react-navigation/bottom-tabs": "^5.5.0",
    "@react-navigation/drawer": "^5.8.0",
    "@react-navigation/material-top-tabs": "^5.2.8",
    "@react-navigation/native": "^5.4.3",
    "@react-navigation/stack": "^5.4.0",
    "geolib": "^3.3.1",
    "jsc-android": "^241213.1.0",
    "luxon": "^1.24.1",
    "native-base": "^2.13.12",
    "react": "16.13.1",
    "react-native": "0.62.2",
    "react-native-fast-image": "^8.3.2",
    "react-native-flags": "^1.0.0",
    "react-native-gesture-handler": "^1.6.1",
    "react-native-image-slider-box": "^1.0.12",
    "react-native-image-zoom-viewer": "^3.0.1",
    "react-native-maps": "^0.27.1",
    "react-native-reanimated": "^1.9.0",
    "react-native-safe-area-context": "^1.0.2",
    "react-native-screens": "^2.8.0",
    "react-native-simple-radio-button": "^2.7.4",
    "react-native-tab-view": "^2.14.2",
    "react-native-vector-icons": "^6.6.0",
    "react-native-view-pdf": "^0.11.0",
    "react-redux": "^7.2.0",
    "redux": "^4.0.5",
    "redux-thunk": "^2.3.0"
  },
  "devDependencies": {
    "@babel/core": "7.9.6",
    "@babel/runtime": "7.9.6",
    "@react-native-community/eslint-config": "1.1.0",
    "babel-jest": "26.0.1",
    "eslint": "7.0.0",
    "jest": "26.0.1",
    "metro-react-native-babel-preset": "0.59.0",
    "react-test-renderer": "16.13.1"
  },
  "jest": {
    "preset": "react-native"
  }

Is there a way to make libraries work? I really appreciate the time! Thanks!


Source link